## org.apache.myfaces.renderkit.html.ext
Class HtmlTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTableRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlTableRenderer

public class HtmlTableRenderer
extends HtmlTableRendererBase

Version:
  $Revision: 280562 $ $Date: 2005-09-13 10:27:56 -0400 (Tue, 13 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $)

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`FOOTER_FACET_NAME, HEADER_FACET_NAME`

Constructor Summary
`HtmlTableRenderer()`

Method Summary
`protected int` `determineChildColSpan(javax.faces.component.UIComponent uiComponent)` handles uicolumns component
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` `encodeColumnChild(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, javax.faces.component.UIComponent component, java.util.Iterator columnStyleIterator)` handles uicolumns component
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected boolean` `hasFacet(boolean header, javax.faces.component.UIComponent uiComponent)` handles uicolumns component
`protected void` `renderColumnBody(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, javax.faces.component.UIComponent component, java.util.Iterator columnStyleIterator)` Renders the body of a given `UIColumn` (everything but the header and footer facets).
`protected void` `renderColumnChildHeaderOrFooterRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, java.lang.String styleClass, boolean header)` handles uicolumns component
`protected void` `renderColumnFooterCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, javax.faces.component.UIComponent facet, java.lang.String footerStyleClass, int colspan)` Renders the footer facet for the given `UIColumn`.
`protected void` `renderColumnHeaderCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, javax.faces.component.UIComponent facet, java.lang.String headerStyleClass, int colspan)` Renders the header facet for the given `UIColumn`.
`protected void` `renderHtmlColumnAttributes(javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, java.lang.String prefix)`
`protected void` `renderRowAttribute(javax.faces.context.ResponseWriter writer, java.lang.String htmlAttribute, java.lang.Object value)`
`protected void` `renderRowStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, java.util.Iterator rowStyleClassIterator)` Renders the start of a new row of body content.
`protected void` `renderRowStyle(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, java.util.Iterator rowStyleIterator)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`afterRow, afterTable, beforeRow, beforeTable, decode, encodeInnerHtml, getFooterClass, getHeaderClass, getRendersChildren, renderColumnFooterCell, renderColumnFooterRow, renderColumnHeaderCell, renderColumnHeaderRow, renderFacet, renderRowEnd, renderTableFooterRow, renderTableHeaderRow`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTableRenderer

    public HtmlTableRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.encodeChildren(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.encodeEnd(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### renderRowStart

    protected void renderRowStart(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  javax.faces.component.UIData uiData,
                                  java.util.Iterator rowStyleClassIterator)
                           throws java.io.IOException

  Description copied from class: `HtmlTableRendererBase`
  Renders the start of a new row of body content.

  Overrides:
    `renderRowStart` in class `HtmlTableRendererBase`
  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiData` - the `UIData` being rendered.
    `rowStyleClassIterator` - te styleClass of the row or `null` if there is none.
  Throws:
    `java.io.IOException` - if an exceptoin occurs.

### renderRowStyle

    protected void renderRowStyle(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  javax.faces.component.UIData uiData,
                                  java.util.Iterator rowStyleIterator)
                           throws java.io.IOException

  Overrides:
    `renderRowStyle` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.renderRowStyle(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, javax.faces.component.UIData, java.util.Iterator)`

### renderRowAttribute

    protected void renderRowAttribute(javax.faces.context.ResponseWriter writer,
                                      java.lang.String htmlAttribute,
                                      java.lang.Object value)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeColumnChild

    protected void encodeColumnChild(javax.faces.context.FacesContext facesContext,
                                     javax.faces.context.ResponseWriter writer,
                                     javax.faces.component.UIData uiData,
                                     javax.faces.component.UIComponent component,
                                     java.util.Iterator columnStyleIterator)
                              throws java.io.IOException

  handles uicolumns component

  Overrides:
    `encodeColumnChild` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `org.apache.myfaces.renderkit.html.HtmlTableRendererBase#encodeColumnChild(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, javax.faces.component.UIData, javax.faces.component.UIComponent, java.lang.String)`

### renderColumnBody

    protected void renderColumnBody(javax.faces.context.FacesContext facesContext,
                                    javax.faces.context.ResponseWriter writer,
                                    javax.faces.component.UIData uiData,
                                    javax.faces.component.UIComponent component,
                                    java.util.Iterator columnStyleIterator)
                             throws java.io.IOException

  Description copied from class: `HtmlTableRendererBase`
  Renders the body of a given `UIColumn` (everything but the header and footer facets).

  Overrides:
    `renderColumnBody` in class `HtmlTableRendererBase`
  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiData` - the `UIData` being rendered.
    `component` - the `UIComponent` to render.
    `columnStyleIterator` - the styleClass of the `UIColumn` or `null` if there is none.
  Throws:
    `java.io.IOException` - if an exception occurs.
  See Also:
    `org.apache.myfaces.renderkit.html.HtmlTableRendererBase#renderColumnBody(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, javax.faces.component.UIData, javax.faces.component.UIComponent, java.lang.String)`

### renderColumnChildHeaderOrFooterRow

    protected void renderColumnChildHeaderOrFooterRow(javax.faces.context.FacesContext facesContext,
                                                      javax.faces.context.ResponseWriter writer,
                                                      javax.faces.component.UIComponent uiComponent,
                                                      java.lang.String styleClass,
                                                      boolean header)
                                               throws java.io.IOException

  handles uicolumns component

  Overrides:
    `renderColumnChildHeaderOrFooterRow` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.renderColumnChildHeaderOrFooterRow(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, javax.faces.component.UIComponent, java.lang.String, boolean)`

### renderColumnHeaderCell

    protected void renderColumnHeaderCell(javax.faces.context.FacesContext facesContext,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIComponent uiComponent,
                                          javax.faces.component.UIComponent facet,
                                          java.lang.String headerStyleClass,
                                          int colspan)
                                   throws java.io.IOException

  Description copied from class: `HtmlTableRendererBase`
  Renders the header facet for the given `UIColumn`.

  Overrides:
    `renderColumnHeaderCell` in class `HtmlTableRendererBase`
  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiComponent` - the `UIComponent` to render the facet for.
    `facet` - the `UIComponent` to render as facet.
    `headerStyleClass` - the styleClass of the header facet.
    `colspan` - the colspan for the tableData element in which the header facet will be wrapped.
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.renderColumnHeaderCell(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, javax.faces.component.UIComponent, javax.faces.component.UIComponent, java.lang.String, int)`

### renderColumnFooterCell

    protected void renderColumnFooterCell(javax.faces.context.FacesContext facesContext,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIComponent uiComponent,
                                          javax.faces.component.UIComponent facet,
                                          java.lang.String footerStyleClass,
                                          int colspan)
                                   throws java.io.IOException

  Description copied from class: `HtmlTableRendererBase`
  Renders the footer facet for the given `UIColumn`.

  Overrides:
    `renderColumnFooterCell` in class `HtmlTableRendererBase`
  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiComponent` - the `UIComponent` to render the facet for.
    `facet` - the `UIComponent` to render as facet.
    `footerStyleClass` - the styleClass of the footer facet.
    `colspan` - the colspan for the tableData element in which the footer facet will be wrapped.
  Throws:
    `java.io.IOException`
  See Also:
    `HtmlTableRendererBase.renderColumnFooterCell(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, javax.faces.component.UIComponent, javax.faces.component.UIComponent, java.lang.String, int)`

### renderHtmlColumnAttributes

    protected void renderHtmlColumnAttributes(javax.faces.context.ResponseWriter writer,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.String prefix)
                                       throws java.io.IOException

  Parameters:
    `writer` -
    `uiComponent` -
    `prefix` - header, footer or null
  Throws:
    `java.io.IOException`

### determineChildColSpan

    protected int determineChildColSpan(javax.faces.component.UIComponent uiComponent)

  handles uicolumns component

  Overrides:
    `determineChildColSpan` in class `HtmlTableRendererBase`
  See Also:
    `HtmlTableRendererBase.determineChildColSpan(javax.faces.component.UIComponent)`

### hasFacet

    protected boolean hasFacet(boolean header,
                               javax.faces.component.UIComponent uiComponent)

  handles uicolumns component

  Overrides:
    `hasFacet` in class `HtmlTableRendererBase`
  Parameters:
    `header` -
    `uiComponent` -
  Returns:
    boolean
  See Also:
    `HtmlTableRendererBase.hasFacet(boolean, javax.faces.component.UIComponent)`